# Test programs for wscons

This is a set of test programs for OpenBSD's wscons console driver.

Note that some of these programs do test features that are not committed yet, and thus won't build or run.

They may also work on NetBSD.

## Building 

Just type `make`

## Programs

## thotplug

Tests the kqueue hot plug events mechanism. The corresponding kernel code is not present so this test doesn't build or run 

## tvtswich

Tests VT switching

## twskbd

Tests the various keyboard input modes 

## twsmouse

Tests mouse and other pointer input devices 

## twsmux

Tests the multiplexor functions

## wsmouse_type

Reprots on the type of pointer devices available

# LICENSE

All these programs are released with the following license:

<pre>
/*
 * Copyright (c) 2024 Matthieu Herrb <matthieu@openbsd.org>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
</pre>
